Cocoa(Objective-C) iPhone 未分類

[iOS] 間違ったバージョンのdylibを追加してはまる

[`evernote` not found]
LINEで送る
Pocket

iOSアプリの開発で、adlantisの広告を入れて試すにはlibz.dylibが必要なのですが、プロジェクトにファイルを追加するのを横着して、間違ってsdk4.3のものを追加してしまった後、ビルドするとわけのわからないエラーが出て、どれだけ戻してもエラーが解消されなかったのですが、下記の画像のように Library Search Pathsに赤枠の”DeviceSupport/4.3.5″が追加されていることが原因でした。

これが現行のsdkと衝突して問題を起こしていたのかな?

library_searchpath

この赤枠の参照を外すと無事動作するようになりました。

コメントを残す

メールアドレスが公開されることはありません。